Re: Problem with Slicerrt on linux 64

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Slicerrt on linux 64

Csaba Pinter
Hi Karl,

Yes, I think this is a known issue. Greg, can you confirm?

A new Slicer stable version (4.3.0) is on the way, in which these issues will be fixed.
In the meantime please use nightly versions, they are quite reliable too. Unfortunately there is a problem with the Extension Manager these days, but you can either download a release from a couple of days ago (I don't know which one works, I tried the 08-13 one but the Extension Manager is empty), or wait for me to prepare a version for today's nightly. You can expect it in a couple of hours.

Cheers,
csaba


On 8/16/2013 01:38, Karl Loewenich wrote:
Hi everyone
I downloaded and installed the precompiled binary (last stable release
Slicer-4.2.2-1) on my 64 bit Linux-machine and everything seems to work as
expected. I then installed the SlicerRT module with the extension manager.
When I now start slicer from the command line I get a bunch of complaints
that certain libraries do not exist like the following:

 Error(s):
    Cannot load library
/home/karl/.config/NA-MIC/Extensions-21513/SlicerRT/lib/Slicer-4.2/cli-modules/libplastimatch_slicer_bsplineLib.so:
(libssl.so.0.9.8: impossibile aprire il file oggetto condiviso: File o
directory non esistente)
and
  Error(s):
    Cannot load library
/home/karl/.config/NA-MIC/Extensions-21513/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerBeamsModule.so:
(libvtkSlicerBeamsModuleLogic.so: impossibile aprire il file oggetto
condiviso: File o directory non esistente)
When loading module  "DicomRtImportSelfTest" , the dependency
"DicomRtImport" failed to be loaded.
When loading module  "SlicerRtDemo_RSNA2012_SelfTest" , the dependency
"DicomRtImport" failed to be loaded.


However the libraries in question exist and are there in the right place. I
tried to start Slicer as root and to set the LD_LIBRARY_PATH and did
ldconfig but that did not help. Anyone's an idea what could be happening
here?
Any help would be appreciated very much.

Thanks Karl





_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
http://www.slicer.org/slicerWiki/index.php/Documentation/4.2/FAQ


_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
http://www.slicer.org/slicerWiki/index.php/Documentation/4.2/FAQ
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Slicerrt on linux 64

Csaba Pinter
Hi Karl,

If you download the latest nightly (from [1]), then you can install SlicerRT and it should work fine.

Let me know how it goes,
csaba


On 8/16/2013 01:38, Karl Loewenich wrote:
Hi everyone
I downloaded and installed the precompiled binary (last stable release
Slicer-4.2.2-1) on my 64 bit Linux-machine and everything seems to work as
expected. I then installed the SlicerRT module with the extension manager.
When I now start slicer from the command line I get a bunch of complaints
that certain libraries do not exist like the following:

 Error(s):
    Cannot load library
/home/karl/.config/NA-MIC/Extensions-21513/SlicerRT/lib/Slicer-4.2/cli-modules/libplastimatch_slicer_bsplineLib.so:
(libssl.so.0.9.8: impossibile aprire il file oggetto condiviso: File o
directory non esistente)
and
  Error(s):
    Cannot load library
/home/karl/.config/NA-MIC/Extensions-21513/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerBeamsModule.so:
(libvtkSlicerBeamsModuleLogic.so: impossibile aprire il file oggetto
condiviso: File o directory non esistente)
When loading module  "DicomRtImportSelfTest" , the dependency
"DicomRtImport" failed to be loaded.
When loading module  "SlicerRtDemo_RSNA2012_SelfTest" , the dependency
"DicomRtImport" failed to be loaded.


However the libraries in question exist and are there in the right place. I
tried to start Slicer as root and to set the LD_LIBRARY_PATH and did
ldconfig but that did not help. Anyone's an idea what could be happening
here?
Any help would be appreciated very much.

Thanks Karl





_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
http://www.slicer.org/slicerWiki/index.php/Documentation/4.2/FAQ


_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
http://www.slicer.org/slicerWiki/index.php/Documentation/4.2/FAQ
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Slicerrt on linux 64

Csaba Pinter
Hi Karl,

I'm re-adding the list to the conversation.

Very strange, I did the steps I described and it works for me.
What kind of Linux do you use exactly?
What is the content of the directory "/home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules" ?

csaba

On 8/16/2013 14:02, Karl Loewenich wrote:
Hi Csaba, thank you very much for having answered to my quest.
I hope I downloaded it from the right place (download.slicer.org) . nightly 64 bit archive 2013-08-16 r22288
When I click on the download button I'm asked if I want to download Slicer-4.2.0-2013-08-15-linux-amd64.tar.gz.
When I download and start  it I can install slicerrt. However when I restart Slicer after install  I get similar  error-messages as I posted, however complaints about missing cli-modules are not present this time 
 
[hidden email]> ./Slicer
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerBeamsModule.so: (libvtkSlicerBeamsModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerContourComparisonModule.so: (libvtkSlicerContourComparisonModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerContourMorphologyModule.so: (libvtkSlicerContourMorphologyModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerContoursModule.so: (libvtkSlicerContoursModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerDicomRtImportModule.so: (libvtkSlicerDicomRtImportModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerDoseAccumulationModule.so: (libvtkSlicerDoseAccumulationModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerDoseComparisonModule.so: (libvtkSlicerDoseComparisonModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerDoseVolumeHistogramModule.so: (libvtkSlicerDoseVolumeHistogramModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerIsodoseModule.so: (libvtkSlicerIsodoseModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerPatientHierarchyModule.so: (libvtkSlicerPatientHierarchyModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerVffFileReaderModule.so: (libvtkSlicerVffFileReaderLogic.so: cannot open shared object file: No such file or directory)
Number of registered modules: 130
Number of instantiated modules: 130
When loading module  "DicomRtImportSelfTest" , the dependency "DicomRtImport" failed to be loaded.
When loading module  "NAMIC_Tutorial_2013June_SelfTest" , the dependency "DicomRtImport" failed to be loaded.
When loading module  "SlicerRtDemo_RSNA2012_SelfTest" , the dependency "DicomRtImport" failed to be loaded.
Number of loaded modules: 127
Show module (name): "Welcome"
 
 
 
 
 
with 
best regards
 
karl
----- Original Message -----
Sent: Friday, August 16, 2013 6:29 PM
Subject: Re: [slicer-users] Problem with Slicerrt on linux 64

Hi Karl,

If you download the latest nightly (from [1]), then you can install SlicerRT and it should work fine.

Let me know how it goes,
csaba


On 8/16/2013 01:38, Karl Loewenich wrote:
Hi everyone
I downloaded and installed the precompiled binary (last stable release
Slicer-4.2.2-1) on my 64 bit Linux-machine and everything seems to work as
expected. I then installed the SlicerRT module with the extension manager.
When I now start slicer from the command line I get a bunch of complaints
that certain libraries do not exist like the following:

 Error(s):
    Cannot load library
/home/karl/.config/NA-MIC/Extensions-21513/SlicerRT/lib/Slicer-4.2/cli-modules/libplastimatch_slicer_bsplineLib.so:
(libssl.so.0.9.8: impossibile aprire il file oggetto condiviso: File o
directory non esistente)
and
  Error(s):
    Cannot load library
/home/karl/.config/NA-MIC/Extensions-21513/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerBeamsModule.so:
(libvtkSlicerBeamsModuleLogic.so: impossibile aprire il file oggetto
condiviso: File o directory non esistente)
When loading module  "DicomRtImportSelfTest" , the dependency
"DicomRtImport" failed to be loaded.
When loading module  "SlicerRtDemo_RSNA2012_SelfTest" , the dependency
"DicomRtImport" failed to be loaded.


However the libraries in question exist and are there in the right place. I
tried to start Slicer as root and to set the LD_LIBRARY_PATH and did
ldconfig but that did not help. Anyone's an idea what could be happening
here?
Any help would be appreciated very much.

Thanks Karl





_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
http://www.slicer.org/slicerWiki/index.php/Documentation/4.2/FAQ



_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
http://www.slicer.org/slicerWiki/index.php/Documentation/4.2/FAQ
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Slicerrt on linux 64

karl.loewenich
Hi csaba,
I acclude a file with the content of the directory. It seems that the required libs are all there. I'm using OpenSuse 12.2
best regards Karl
----- Original Message -----
Sent: Friday, August 16, 2013 8:07 PM
Subject: Re: [slicer-users] Problem with Slicerrt on linux 64

Hi Karl,

I'm re-adding the list to the conversation.

Very strange, I did the steps I described and it works for me.
What kind of Linux do you use exactly?
What is the content of the directory "/home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules" ?

csaba

On 8/16/2013 14:02, Karl Loewenich wrote:
Hi Csaba, thank you very much for having answered to my quest.
I hope I downloaded it from the right place (download.slicer.org) . nightly 64 bit archive 2013-08-16 r22288
When I click on the download button I'm asked if I want to download Slicer-4.2.0-2013-08-15-linux-amd64.tar.gz.
When I download and start  it I can install slicerrt. However when I restart Slicer after install  I get similar  error-messages as I posted, however complaints about missing cli-modules are not present this time 
 
[hidden email]> ./Slicer
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerBeamsModule.so: (libvtkSlicerBeamsModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerContourComparisonModule.so: (libvtkSlicerContourComparisonModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerContourMorphologyModule.so: (libvtkSlicerContourMorphologyModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerContoursModule.so: (libvtkSlicerContoursModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerDicomRtImportModule.so: (libvtkSlicerDicomRtImportModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerDoseAccumulationModule.so: (libvtkSlicerDoseAccumulationModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerDoseComparisonModule.so: (libvtkSlicerDoseComparisonModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerDoseVolumeHistogramModule.so: (libvtkSlicerDoseVolumeHistogramModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerIsodoseModule.so: (libvtkSlicerIsodoseModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerPatientHierarchyModule.so: (libvtkSlicerPatientHierarchyModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerVffFileReaderModule.so: (libvtkSlicerVffFileReaderLogic.so: cannot open shared object file: No such file or directory)
Number of registered modules: 130
Number of instantiated modules: 130
When loading module  "DicomRtImportSelfTest" , the dependency "DicomRtImport" failed to be loaded.
When loading module  "NAMIC_Tutorial_2013June_SelfTest" , the dependency "DicomRtImport" failed to be loaded.
When loading module  "SlicerRtDemo_RSNA2012_SelfTest" , the dependency "DicomRtImport" failed to be loaded.
Number of loaded modules: 127
Show module (name): "Welcome"
 
 
 
 
 
with 
best regards
 
karl
----- Original Message -----
Sent: Friday, August 16, 2013 6:29 PM
Subject: Re: [slicer-users] Problem with Slicerrt on linux 64

Hi Karl,

If you download the latest nightly (from [1]), then you can install SlicerRT and it should work fine.

Let me know how it goes,
csaba


On 8/16/2013 01:38, Karl Loewenich wrote:
Hi everyone
I downloaded and installed the precompiled binary (last stable release
Slicer-4.2.2-1) on my 64 bit Linux-machine and everything seems to work as
expected. I then installed the SlicerRT module with the extension manager.
When I now start slicer from the command line I get a bunch of complaints
that certain libraries do not exist like the following:

 Error(s):
    Cannot load library
/home/karl/.config/NA-MIC/Extensions-21513/SlicerRT/lib/Slicer-4.2/cli-modules/libplastimatch_slicer_bsplineLib.so:
(libssl.so.0.9.8: impossibile aprire il file oggetto condiviso: File o
directory non esistente)
and
  Error(s):
    Cannot load library
/home/karl/.config/NA-MIC/Extensions-21513/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerBeamsModule.so:
(libvtkSlicerBeamsModuleLogic.so: impossibile aprire il file oggetto
condiviso: File o directory non esistente)
When loading module  "DicomRtImportSelfTest" , the dependency
"DicomRtImport" failed to be loaded.
When loading module  "SlicerRtDemo_RSNA2012_SelfTest" , the dependency
"DicomRtImport" failed to be loaded.


However the libraries in question exist and are there in the right place. I
tried to start Slicer as root and to set the LD_LIBRARY_PATH and did
ldconfig but that did not help. Anyone's an idea what could be happening
here?
Any help would be appreciated very much.

Thanks Karl





_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
http://www.slicer.org/slicerWiki/index.php/Documentation/4.2/FAQ



_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
http://www.slicer.org/slicerWiki/index.php/Documentation/4.2/FAQ

slicerrt (7K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Slicerrt on linux 64

Csaba Pinter
Hi Karl,

Very strange. Unfortunately my knowledge stops here, as I have no idea why certain files cannot be found at the path where they actually are.
Maybe there is an issue with their content? It's hard to imagine, as they have been built against all the Slicer libraries that apparently run fine on your system.

Linux gurus: any ideas?

Thanks,
csaba


On 8/16/2013 14:32, Karl Loewenich wrote:
Hi csaba,
I acclude a file with the content of the directory. It seems that the required libs are all there. I'm using OpenSuse 12.2
best regards Karl
----- Original Message -----
Sent: Friday, August 16, 2013 8:07 PM
Subject: Re: [slicer-users] Problem with Slicerrt on linux 64

Hi Karl,

I'm re-adding the list to the conversation.

Very strange, I did the steps I described and it works for me.
What kind of Linux do you use exactly?
What is the content of the directory "/home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules" ?

csaba

On 8/16/2013 14:02, Karl Loewenich wrote:
Hi Csaba, thank you very much for having answered to my quest.
I hope I downloaded it from the right place (download.slicer.org) . nightly 64 bit archive 2013-08-16 r22288
When I click on the download button I'm asked if I want to download Slicer-4.2.0-2013-08-15-linux-amd64.tar.gz.
When I download and start  it I can install slicerrt. However when I restart Slicer after install  I get similar  error-messages as I posted, however complaints about missing cli-modules are not present this time 
 
[hidden email]> ./Slicer
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerBeamsModule.so: (libvtkSlicerBeamsModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerContourComparisonModule.so: (libvtkSlicerContourComparisonModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerContourMorphologyModule.so: (libvtkSlicerContourMorphologyModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerContoursModule.so: (libvtkSlicerContoursModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerDicomRtImportModule.so: (libvtkSlicerDicomRtImportModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerDoseAccumulationModule.so: (libvtkSlicerDoseAccumulationModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerDoseComparisonModule.so: (libvtkSlicerDoseComparisonModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerDoseVolumeHistogramModule.so: (libvtkSlicerDoseVolumeHistogramModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerIsodoseModule.so: (libvtkSlicerIsodoseModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerPatientHierarchyModule.so: (libvtkSlicerPatientHierarchyModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerVffFileReaderModule.so: (libvtkSlicerVffFileReaderLogic.so: cannot open shared object file: No such file or directory)
Number of registered modules: 130
Number of instantiated modules: 130
When loading module  "DicomRtImportSelfTest" , the dependency "DicomRtImport" failed to be loaded.
When loading module  "NAMIC_Tutorial_2013June_SelfTest" , the dependency "DicomRtImport" failed to be loaded.
When loading module  "SlicerRtDemo_RSNA2012_SelfTest" , the dependency "DicomRtImport" failed to be loaded.
Number of loaded modules: 127
Show module (name): "Welcome"
 
 
 
 
 
with 
best regards
 
karl
----- Original Message -----
Sent: Friday, August 16, 2013 6:29 PM
Subject: Re: [slicer-users] Problem with Slicerrt on linux 64

Hi Karl,

If you download the latest nightly (from [1]), then you can install SlicerRT and it should work fine.

Let me know how it goes,
csaba


On 8/16/2013 01:38, Karl Loewenich wrote:
Hi everyone
I downloaded and installed the precompiled binary (last stable release
Slicer-4.2.2-1) on my 64 bit Linux-machine and everything seems to work as
expected. I then installed the SlicerRT module with the extension manager.
When I now start slicer from the command line I get a bunch of complaints
that certain libraries do not exist like the following:

 Error(s):
    Cannot load library
/home/karl/.config/NA-MIC/Extensions-21513/SlicerRT/lib/Slicer-4.2/cli-modules/libplastimatch_slicer_bsplineLib.so:
(libssl.so.0.9.8: impossibile aprire il file oggetto condiviso: File o
directory non esistente)
and
  Error(s):
    Cannot load library
/home/karl/.config/NA-MIC/Extensions-21513/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerBeamsModule.so:
(libvtkSlicerBeamsModuleLogic.so: impossibile aprire il file oggetto
condiviso: File o directory non esistente)
When loading module  "DicomRtImportSelfTest" , the dependency
"DicomRtImport" failed to be loaded.
When loading module  "SlicerRtDemo_RSNA2012_SelfTest" , the dependency
"DicomRtImport" failed to be loaded.


However the libraries in question exist and are there in the right place. I
tried to start Slicer as root and to set the LD_LIBRARY_PATH and did
ldconfig but that did not help. Anyone's an idea what could be happening
here?
Any help would be appreciated very much.

Thanks Karl





_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
http://www.slicer.org/slicerWiki/index.php/Documentation/4.2/FAQ




_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
http://www.slicer.org/slicerWiki/index.php/Documentation/4.2/FAQ
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Slicerrt on linux 64

karl.loewenich
Hi Csaba,
thank you nontheless. The strange thing I notced here is that messages of the type
 
 Error(s):
    Cannot load library
/home/karl/.config/NA-MIC/Extensions-21513/SlicerRT/lib/Slicer-4.2/cli-modules/libplastimatch_slicer_bsplineLib.so:
(libssl.so.0.9.8: impossibile aprire il file oggetto condiviso: File o
directory non esistente)

that is referring to cli-modules which were shown using the stable Slicer version are not showing anymore in your latest version.
 
Thank you
karl
 
----- Original Message -----
Sent: Friday, August 16, 2013 8:55 PM
Subject: Re: [slicer-users] Problem with Slicerrt on linux 64

Hi Karl,

Very strange. Unfortunately my knowledge stops here, as I have no idea why certain files cannot be found at the path where they actually are.
Maybe there is an issue with their content? It's hard to imagine, as they have been built against all the Slicer libraries that apparently run fine on your system.

Linux gurus: any ideas?

Thanks,
csaba


On 8/16/2013 14:32, Karl Loewenich wrote:
Hi csaba,
I acclude a file with the content of the directory. It seems that the required libs are all there. I'm using OpenSuse 12.2
best regards Karl
----- Original Message -----
Sent: Friday, August 16, 2013 8:07 PM
Subject: Re: [slicer-users] Problem with Slicerrt on linux 64

Hi Karl,

I'm re-adding the list to the conversation.

Very strange, I did the steps I described and it works for me.
What kind of Linux do you use exactly?
What is the content of the directory "/home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules" ?

csaba

On 8/16/2013 14:02, Karl Loewenich wrote:
Hi Csaba, thank you very much for having answered to my quest.
I hope I downloaded it from the right place (download.slicer.org) . nightly 64 bit archive 2013-08-16 r22288
When I click on the download button I'm asked if I want to download Slicer-4.2.0-2013-08-15-linux-amd64.tar.gz.
When I download and start  it I can install slicerrt. However when I restart Slicer after install  I get similar  error-messages as I posted, however complaints about missing cli-modules are not present this time 
 
[hidden email]> ./Slicer
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerBeamsModule.so: (libvtkSlicerBeamsModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerContourComparisonModule.so: (libvtkSlicerContourComparisonModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerContourMorphologyModule.so: (libvtkSlicerContourMorphologyModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerContoursModule.so: (libvtkSlicerContoursModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerDicomRtImportModule.so: (libvtkSlicerDicomRtImportModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerDoseAccumulationModule.so: (libvtkSlicerDoseAccumulationModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerDoseComparisonModule.so: (libvtkSlicerDoseComparisonModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerDoseVolumeHistogramModule.so: (libvtkSlicerDoseVolumeHistogramModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerIsodoseModule.so: (libvtkSlicerIsodoseModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerPatientHierarchyModule.so: (libvtkSlicerPatientHierarchyModuleLogic.so: cannot open shared object file: No such file or directory)
  Error(s):
    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerVffFileReaderModule.so: (libvtkSlicerVffFileReaderLogic.so: cannot open shared object file: No such file or directory)
Number of registered modules: 130
Number of instantiated modules: 130
When loading module  "DicomRtImportSelfTest" , the dependency "DicomRtImport" failed to be loaded.
When loading module  "NAMIC_Tutorial_2013June_SelfTest" , the dependency "DicomRtImport" failed to be loaded.
When loading module  "SlicerRtDemo_RSNA2012_SelfTest" , the dependency "DicomRtImport" failed to be loaded.
Number of loaded modules: 127
Show module (name): "Welcome"
 
 
 
 
 
with 
best regards
 
karl
----- Original Message -----
Sent: Friday, August 16, 2013 6:29 PM
Subject: Re: [slicer-users] Problem with Slicerrt on linux 64

Hi Karl,

If you download the latest nightly (from [1]), then you can install SlicerRT and it should work fine.

Let me know how it goes,
csaba


On 8/16/2013 01:38, Karl Loewenich wrote:
Hi everyone
I downloaded and installed the precompiled binary (last stable release
Slicer-4.2.2-1) on my 64 bit Linux-machine and everything seems to work as
expected. I then installed the SlicerRT module with the extension manager.
When I now start slicer from the command line I get a bunch of complaints
that certain libraries do not exist like the following:

 Error(s):
    Cannot load library
/home/karl/.config/NA-MIC/Extensions-21513/SlicerRT/lib/Slicer-4.2/cli-modules/libplastimatch_slicer_bsplineLib.so:
(libssl.so.0.9.8: impossibile aprire il file oggetto condiviso: File o
directory non esistente)
and
  Error(s):
    Cannot load library
/home/karl/.config/NA-MIC/Extensions-21513/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerBeamsModule.so:
(libvtkSlicerBeamsModuleLogic.so: impossibile aprire il file oggetto
condiviso: File o directory non esistente)
When loading module  "DicomRtImportSelfTest" , the dependency
"DicomRtImport" failed to be loaded.
When loading module  "SlicerRtDemo_RSNA2012_SelfTest" , the dependency
"DicomRtImport" failed to be loaded.


However the libraries in question exist and are there in the right place. I
tried to start Slicer as root and to set the LD_LIBRARY_PATH and did
ldconfig but that did not help. Anyone's an idea what could be happening
here?
Any help would be appreciated very much.

Thanks Karl





_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
http://www.slicer.org/slicerWiki/index.php/Documentation/4.2/FAQ




_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
http://www.slicer.org/slicerWiki/index.php/Documentation/4.2/FAQ
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Slicerrt on linux 64

Sharp, Gregory C.

Hi Karl,

I tested and verified the extension loads fine on my system as well.
There is something suspicious here.

Your error message is usually associated with dynamically linked
libraries.  However Slicer uses dynamic loading for extensions.  
For dynamic loading, this error could present if you have machine mismatch,
such as 64-bit executable on 32-bit machine.  Maybe permission problem too.

What happens if you run this command?

file /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerBeamsModule.so

Also, I'm curious, any improvement if you run slicer like this?

LD_LIBRARY_PATH=/home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/cli-modules ./Slicer

Greg

________________________________

From: [hidden email] [mailto:[hidden email]] On Behalf Of Karl Loewenich
Sent: Friday, August 16, 2013 3:35 PM
To: Csaba Pinter
Cc: Slicer Users Mailing List
Subject: Re: [slicer-users] Problem with Slicerrt on linux 64


Hi Csaba,
thank you nontheless. The strange thing I notced here is that messages of the type
 
 Error(s):
    Cannot load library
/home/karl/.config/NA-MIC/Extensions-21513/SlicerRT/lib/Slicer-4.2/cli-modules/libplastimatch_slicer_bsplineLib.so:
(libssl.so.0.9.8: impossibile aprire il file oggetto condiviso: File o
directory non esistente)

that is referring to cli-modules which were shown using the stable Slicer version are not showing anymore in your latest version.
 
Thank you
karl
 

        ----- Original Message -----
        From: Csaba Pinter <mailto:[hidden email]>  
        To: Karl Loewenich <mailto:[hidden email]>  
        Cc: Slicer Users Mailing List <mailto:[hidden email]>  
        Sent: Friday, August 16, 2013 8:55 PM
        Subject: Re: [slicer-users] Problem with Slicerrt on linux 64

        Hi Karl,
       
        Very strange. Unfortunately my knowledge stops here, as I have no idea why certain files cannot be found at the path where they actually are.
        Maybe there is an issue with their content? It's hard to imagine, as they have been built against all the Slicer libraries that apparently run fine on your system.
       
        Linux gurus: any ideas?
       
        Thanks,
        csaba
       
       
        On 8/16/2013 14:32, Karl Loewenich wrote:
       

                Hi csaba,
                I acclude a file with the content of the directory. It seems that the required libs are all there. I'm using OpenSuse 12.2
                best regards Karl

                        ----- Original Message -----
                        From: Csaba Pinter <mailto:[hidden email]>  
                        To: Karl Loewenich <mailto:[hidden email]>  
                        Cc: Slicer Users Mailing List <mailto:[hidden email]>  
                        Sent: Friday, August 16, 2013 8:07 PM
                        Subject: Re: [slicer-users] Problem with Slicerrt on linux 64

                        Hi Karl,
                       
                        I'm re-adding the list to the conversation.
                       
                        Very strange, I did the steps I described and it works for me.
                        What kind of Linux do you use exactly?
                        What is the content of the directory "/home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules" ?
                       
                        csaba
                       
                        On 8/16/2013 14:02, Karl Loewenich wrote:
                       

                                Hi Csaba, thank you very much for having answered to my quest.
                                I hope I downloaded it from the right place (download.slicer.org) . nightly 64 bit archive 2013-08-16 r22288
                                When I click on the download button I'm asked if I want to download Slicer-4.2.0-2013-08-15-linux-amd64.tar.gz.
                                When I download and start  it I can install slicerrt. However when I restart Slicer after install  I get similar  error-messages as I posted, however complaints about missing cli-modules are not present this time
                                 
                                karl@snoopy64:~/Scaricati/Slicer-4.2.0-2013-08-15-linux-amd64 <mailto:karl@snoopy64:%7E/Scaricati/Slicer-4.2.0-2013-08-15-linux-amd64> > ./Slicer
                                  Error(s):
                                    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerBeamsModule.so: (libvtkSlicerBeamsModuleLogic.so: cannot open shared object file: No such file or directory)
                                  Error(s):
                                    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerContourComparisonModule.so: (libvtkSlicerContourComparisonModuleLogic.so: cannot open shared object file: No such file or directory)
                                  Error(s):
                                    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerContourMorphologyModule.so: (libvtkSlicerContourMorphologyModuleLogic.so: cannot open shared object file: No such file or directory)
                                  Error(s):
                                    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerContoursModule.so: (libvtkSlicerContoursModuleLogic.so: cannot open shared object file: No such file or directory)
                                  Error(s):
                                    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerDicomRtImportModule.so: (libvtkSlicerDicomRtImportModuleLogic.so: cannot open shared object file: No such file or directory)
                                  Error(s):
                                    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerDoseAccumulationModule.so: (libvtkSlicerDoseAccumulationModuleLogic.so: cannot open shared object file: No such file or directory)
                                  Error(s):
                                    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerDoseComparisonModule.so: (libvtkSlicerDoseComparisonModuleLogic.so: cannot open shared object file: No such file or directory)
                                  Error(s):
                                    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerDoseVolumeHistogramModule.so: (libvtkSlicerDoseVolumeHistogramModuleLogic.so: cannot open shared object file: No such file or directory)
                                  Error(s):
                                    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerIsodoseModule.so: (libvtkSlicerIsodoseModuleLogic.so: cannot open shared object file: No such file or directory)
                                  Error(s):
                                    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerPatientHierarchyModule.so: (libvtkSlicerPatientHierarchyModuleLogic.so: cannot open shared object file: No such file or directory)
                                  Error(s):
                                    Cannot load library /home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerVffFileReaderModule.so: (libvtkSlicerVffFileReaderLogic.so: cannot open shared object file: No such file or directory)
                                Number of registered modules: 130
                                Number of instantiated modules: 130
                                When loading module  "DicomRtImportSelfTest" , the dependency "DicomRtImport" failed to be loaded.
                                When loading module  "NAMIC_Tutorial_2013June_SelfTest" , the dependency "DicomRtImport" failed to be loaded.
                                When loading module  "SlicerRtDemo_RSNA2012_SelfTest" , the dependency "DicomRtImport" failed to be loaded.
                                Number of loaded modules: 127
                                Show module (name): "Welcome"
                               
                                 
                                 
                                 
                                 
                                 
                                with
                                best regards
                                 
                                karl

                                        ----- Original Message -----
                                        From: Csaba Pinter <mailto:[hidden email]>  
                                        To: Karl Loewenich <mailto:[hidden email]>  
                                        Cc: Slicer Users Mailing List <mailto:[hidden email]>  
                                        Sent: Friday, August 16, 2013 6:29 PM
                                        Subject: Re: [slicer-users] Problem with Slicerrt on linux 64

                                        Hi Karl,
                                       
                                        If you download the latest nightly (from [1]), then you can install SlicerRT and it should work fine.
                                       
                                        Let me know how it goes,
                                        csaba
                                       
                                       
                                        On 8/16/2013 01:38, Karl Loewenich wrote:
                                       

                                        Hi everyone
                                        I downloaded and installed the precompiled binary (last stable release
                                        Slicer-4.2.2-1) on my 64 bit Linux-machine and everything seems to work as
                                        expected. I then installed the SlicerRT module with the extension manager.
                                        When I now start slicer from the command line I get a bunch of complaints
                                        that certain libraries do not exist like the following:
                                       
                                         Error(s):
                                            Cannot load library
                                        /home/karl/.config/NA-MIC/Extensions-21513/SlicerRT/lib/Slicer-4.2/cli-modules/libplastimatch_slicer_bsplineLib.so:
                                        (libssl.so.0.9.8: impossibile aprire il file oggetto condiviso: File o
                                        directory non esistente)
                                        and
                                          Error(s):
                                            Cannot load library
                                        /home/karl/.config/NA-MIC/Extensions-21513/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerBeamsModule.so:
                                        (libvtkSlicerBeamsModuleLogic.so: impossibile aprire il file oggetto
                                        condiviso: File o directory non esistente)
                                        When loading module  "DicomRtImportSelfTest" , the dependency
                                        "DicomRtImport" failed to be loaded.
                                        When loading module  "SlicerRtDemo_RSNA2012_SelfTest" , the dependency
                                        "DicomRtImport" failed to be loaded.
                                       
                                       
                                        However the libraries in question exist and are there in the right place. I
                                        tried to start Slicer as root and to set the LD_LIBRARY_PATH and did
                                        ldconfig but that did not help. Anyone's an idea what could be happening
                                        here?
                                        Any help would be appreciated very much.
                                       
                                        Thanks Karl
                                       
                                       
                                       
                                       

                                         
                                       
                                        _______________________________________________
                                        slicer-users mailing list
                                        [hidden email]
                                        http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
                                        To unsubscribe: send email to [hidden email] with unsubscribe as the subject
                                        http://www.slicer.org/slicerWiki/index.php/Documentation/4.2/FAQ




_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
http://www.slicer.org/slicerWiki/index.php/Documentation/4.2/FAQ
Reply | Threaded
Open this post in threaded view
|

Re: Problem with Slicerrt on linux 64

karl.loewenich
Hi Greg,
thank you for your proposals. In the accluded file you can see the results.
Since the command

LD_LIBRARY_PATH=/home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/cli-modules
./Slicer

had no effect, that is, the previously seen errors remained, i tried the
following, because the complaints were about the qt-loadable-modules

LD_LIBRARY_PATH=/home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules
./Slicer

This does the trick. The program however, when I close it exits with
/home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libvtkSlicerDoseComparisonModuleLogicPythonD.soerror
exit abnormally -Report the error

I'm happy that I now have seen for the first time a dose distribution.

I do not understand however why
LD_LIBRARY_PATH=/home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules
./Slicer
works.
Actually in one of my initial trials had set the LD_LIBRARY_PATH but with
export LD_LIBRARY_PATH=.... not the way you proposed in one command line
together with ./Slicer. I did not even know that that was possible.

Thanks again, Greg

with best regards
Karl






----- Original Message -----
From: "Sharp, Gregory C." <[hidden email]>
To: "'Karl Loewenich'" <[hidden email]>; "Csaba Pinter"
<[hidden email]>
Cc: "Slicer Users Mailing List" <[hidden email]>
Sent: Saturday, August 17, 2013 12:35 AM
Subject: RE: [slicer-users] Problem with Slicerrt on linux 64



Hi Karl,

I tested and verified the extension loads fine on my system as well.
There is something suspicious here.

Your error message is usually associated with dynamically linked
libraries.  However Slicer uses dynamic loading for extensions.
For dynamic loading, this error could present if you have machine mismatch,
such as 64-bit executable on 32-bit machine.  Maybe permission problem too.

What happens if you run this command?

file
/home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerBeamsModule.so

Also, I'm curious, any improvement if you run slicer like this?

LD_LIBRARY_PATH=/home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/cli-modules
./Slicer

Greg

________________________________

From: [hidden email]
[mailto:[hidden email]] On Behalf Of Karl Loewenich
Sent: Friday, August 16, 2013 3:35 PM
To: Csaba Pinter
Cc: Slicer Users Mailing List
Subject: Re: [slicer-users] Problem with Slicerrt on linux 64


Hi Csaba,
thank you nontheless. The strange thing I notced here is that messages of
the type

 Error(s):
    Cannot load library
/home/karl/.config/NA-MIC/Extensions-21513/SlicerRT/lib/Slicer-4.2/cli-modules/libplastimatch_slicer_bsplineLib.so:
(libssl.so.0.9.8: impossibile aprire il file oggetto condiviso: File o
directory non esistente)

that is referring to cli-modules which were shown using the stable Slicer
version are not showing anymore in your latest version.

Thank you
karl


----- Original Message -----
From: Csaba Pinter <mailto:[hidden email]>
To: Karl Loewenich <mailto:[hidden email]>
Cc: Slicer Users Mailing List <mailto:[hidden email]>
Sent: Friday, August 16, 2013 8:55 PM
Subject: Re: [slicer-users] Problem with Slicerrt on linux 64

Hi Karl,

Very strange. Unfortunately my knowledge stops here, as I have no idea why
certain files cannot be found at the path where they actually are.
Maybe there is an issue with their content? It's hard to imagine, as they
have been built against all the Slicer libraries that apparently run fine on
your system.

Linux gurus: any ideas?

Thanks,
csaba


On 8/16/2013 14:32, Karl Loewenich wrote:


Hi csaba,
I acclude a file with the content of the directory. It seems that the
required libs are all there. I'm using OpenSuse 12.2
best regards Karl

----- Original Message -----
From: Csaba Pinter <mailto:[hidden email]>
To: Karl Loewenich <mailto:[hidden email]>
Cc: Slicer Users Mailing List <mailto:[hidden email]>
Sent: Friday, August 16, 2013 8:07 PM
Subject: Re: [slicer-users] Problem with Slicerrt on linux 64

Hi Karl,

I'm re-adding the list to the conversation.

Very strange, I did the steps I described and it works for me.
What kind of Linux do you use exactly?
What is the content of the directory
"/home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules"
?

csaba

On 8/16/2013 14:02, Karl Loewenich wrote:


Hi Csaba, thank you very much for having answered to my quest.
I hope I downloaded it from the right place (download.slicer.org) . nightly
64 bit archive 2013-08-16 r22288
When I click on the download button I'm asked if I want to download
Slicer-4.2.0-2013-08-15-linux-amd64.tar.gz.
When I download and start  it I can install slicerrt. However when I restart
Slicer after install  I get similar  error-messages as I posted, however
complaints about missing cli-modules are not present this time

karl@snoopy64:~/Scaricati/Slicer-4.2.0-2013-08-15-linux-amd64
<mailto:karl@snoopy64:%7E/Scaricati/Slicer-4.2.0-2013-08-15-linux-amd64> >
./Slicer
  Error(s):
    Cannot load library
/home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerBeamsModule.so:
(libvtkSlicerBeamsModuleLogic.so: cannot open shared object file: No such
file or directory)
  Error(s):
    Cannot load library
/home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerContourComparisonModule.so:
(libvtkSlicerContourComparisonModuleLogic.so: cannot open shared object
file: No such file or directory)
  Error(s):
    Cannot load library
/home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerContourMorphologyModule.so:
(libvtkSlicerContourMorphologyModuleLogic.so: cannot open shared object
file: No such file or directory)
  Error(s):
    Cannot load library
/home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerContoursModule.so:
(libvtkSlicerContoursModuleLogic.so: cannot open shared object file: No such
file or directory)
  Error(s):
    Cannot load library
/home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerDicomRtImportModule.so:
(libvtkSlicerDicomRtImportModuleLogic.so: cannot open shared object file: No
such file or directory)
  Error(s):
    Cannot load library
/home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerDoseAccumulationModule.so:
(libvtkSlicerDoseAccumulationModuleLogic.so: cannot open shared object file:
No such file or directory)
  Error(s):
    Cannot load library
/home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerDoseComparisonModule.so:
(libvtkSlicerDoseComparisonModuleLogic.so: cannot open shared object file:
No such file or directory)
  Error(s):
    Cannot load library
/home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerDoseVolumeHistogramModule.so:
(libvtkSlicerDoseVolumeHistogramModuleLogic.so: cannot open shared object
file: No such file or directory)
  Error(s):
    Cannot load library
/home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerIsodoseModule.so:
(libvtkSlicerIsodoseModuleLogic.so: cannot open shared object file: No such
file or directory)
  Error(s):
    Cannot load library
/home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerPatientHierarchyModule.so:
(libvtkSlicerPatientHierarchyModuleLogic.so: cannot open shared object file:
No such file or directory)
  Error(s):
    Cannot load library
/home/karl/.config/NA-MIC/Extensions-22288/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerVffFileReaderModule.so:
(libvtkSlicerVffFileReaderLogic.so: cannot open shared object file: No such
file or directory)
Number of registered modules: 130
Number of instantiated modules: 130
When loading module  "DicomRtImportSelfTest" , the dependency
"DicomRtImport" failed to be loaded.
When loading module  "NAMIC_Tutorial_2013June_SelfTest" , the dependency
"DicomRtImport" failed to be loaded.
When loading module  "SlicerRtDemo_RSNA2012_SelfTest" , the dependency
"DicomRtImport" failed to be loaded.
Number of loaded modules: 127
Show module (name): "Welcome"






with
best regards

karl

----- Original Message -----
From: Csaba Pinter <mailto:[hidden email]>
To: Karl Loewenich <mailto:[hidden email]>
Cc: Slicer Users Mailing List <mailto:[hidden email]>
Sent: Friday, August 16, 2013 6:29 PM
Subject: Re: [slicer-users] Problem with Slicerrt on linux 64

Hi Karl,

If you download the latest nightly (from [1]), then you can install SlicerRT
and it should work fine.

Let me know how it goes,
csaba


On 8/16/2013 01:38, Karl Loewenich wrote:


Hi everyone
I downloaded and installed the precompiled binary (last stable release
Slicer-4.2.2-1) on my 64 bit Linux-machine and everything seems to work as
expected. I then installed the SlicerRT module with the extension manager.
When I now start slicer from the command line I get a bunch of complaints
that certain libraries do not exist like the following:

Error(s):
    Cannot load library
/home/karl/.config/NA-MIC/Extensions-21513/SlicerRT/lib/Slicer-4.2/cli-modules/libplastimatch_slicer_bsplineLib.so:
(libssl.so.0.9.8: impossibile aprire il file oggetto condiviso: File o
directory non esistente)
and
  Error(s):
    Cannot load library
/home/karl/.config/NA-MIC/Extensions-21513/SlicerRT/lib/Slicer-4.2/qt-loadable-modules/libqSlicerBeamsModule.so:
(libvtkSlicerBeamsModuleLogic.so: impossibile aprire il file oggetto
condiviso: File o directory non esistente)
When loading module  "DicomRtImportSelfTest" , the dependency
"DicomRtImport" failed to be loaded.
When loading module  "SlicerRtDemo_RSNA2012_SelfTest" , the dependency
"DicomRtImport" failed to be loaded.


However the libraries in question exist and are there in the right place. I
tried to start Slicer as root and to set the LD_LIBRARY_PATH and did
ldconfig but that did not help. Anyone's an idea what could be happening
here?
Any help would be appreciated very much.

Thanks Karl







_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email]
with unsubscribe as the subject
http://www.slicer.org/slicerWiki/index.php/Documentation/4.2/FAQ






The information in this e-mail is intended only for the person to whom it is
addressed. If you believe this e-mail was sent to you in error and the
e-mail
contains patient information, please contact the Partners Compliance
HelpLine at
http://www.partners.org/complianceline . If the e-mail was sent to you in
error
but does not contain patient information, please contact the sender and
properly
dispose of the e-mail.

_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
http://www.slicer.org/slicerWiki/index.php/Documentation/4.2/FAQ

slicerrt (4K) Download Attachment